Skip to content

Get 'OtherContractRevenueIncreaseRow'

Request

Security
customer_id and application_id and service_id and service_version_id and client_ct and client_object_id and client_secret
Path
pkstringwrite-onlyrequired
GET
/revenue/revenueincreases/othercontractrevenueincreaserow/{pk}/
curl -i -X GET \
  'https://dev.api.pigello.io/revenue/revenueincreases/othercontractrevenueincreaserow/{pk}/' \
  -H 'X-PIGELLO-APPLICATION-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-CT: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-ENTITY: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-SECRET: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CUSTOMER-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-VERSION-ID: YOUR_API_KEY_HERE'

Responses

Successful selection

Bodyapplication/json
idstring, (uuid)read-onlyrequired

Additional Validation Information:

Must be unique

from_datestring, (date)required
merge_rows_after_invoice_periodsinteger, (int32), <= 2147483647required
retroactivity_methodinteger, (int32), [ -2147483648 .. 2147483647 ]required

Additional Validation Information:

Enum Descriptions:

  • 0 - First Opportunity

  • 1 - Fixed

  • 2 - Fixed Contract Blocked Sensitive

Enum:012
rounding_methodinteger, (int32), [ -2147483648 .. 2147483647 ]required

Additional Validation Information:

Enum Descriptions:

  • 0 - Regular Rounding

  • 1 - Up To Closest Rounding

  • 2 - No Rounding

  • 3 - Manual

Enum:0123
value_calculation_methodinteger, (int32), [ -2147483648 .. 2147483647 ]required

Additional Validation Information:

Enum Descriptions:

  • 0 - Percentage

  • 1 - Firm Value

  • 2 - To Value

  • 3 - Per Usable Area

  • 4 - Per Bi Area

  • 5 - Per Total Area

Enum:012345
value_calculation_inputnumber, (float)required
collectionobject(RevenueIncreaseCollection)required
actual_increase_valuenumber, (float)required
revenue_row_sourceobject(OtherContractRevenueRow)required

Additional Validation Information:

Must be unique

organizationobject or null(Organization)
custom_idstring or null, <= 128 characters
created_atstring, (date-time)read-only
retroactivity_month_amountinteger or null, (int32), [ 1 .. 2147483647 ]
merged_revenue_rowobject or null(OtherContractRevenueRow)read-only
pre_merge_revenue_rowobject or null(OtherContractRevenueRow)read-only
retroactive_contract_rowobject or null(OtherContractRevenueRow)read-only
tagsanyread-only
customer_columnsanyread-only
pending_monitor_approval_amountanyread-only
Response
{ "organization": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "custom_id": "string", "created_at": "2019-08-24T14:15:22Z", "from_date": "2019-08-24", "merge_rows_after_invoice_periods": 2147483647, "retroactivity_method": 0, "retroactivity_month_amount": 1, "rounding_method": 0, "value_calculation_method": 0, "value_calculation_input": 0.1, "collection": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "actual_increase_value": 0.1, "revenue_row_source": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "merged_revenue_row": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "pre_merge_revenue_row": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "retroactive_contract_row": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "tags": null, "customer_columns": null, "pending_monitor_approval_amount": null }